Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaqtl.bio.entity
Class Individual

    java.lang.Object
      org.metaqtl.bio.entity.BioEntity
          org.metaqtl.bio.entity.BioEntityContainer
              org.metaqtl.bio.entity.Individual

All Implemented Interfaces:
  IBioAdaptable, IBioEntity

    public class Individual

extends BioEntityContainer

Class Description Here

Author:
  Jean-Baptiste Veyrieras

Field Summary
`protected IBioPopulation` | `population`

Fields inherited from class org.metaqtl.bio.entity.BioEntityContainer
`entities`

Fields inherited from class org.metaqtl.bio.entity.BioEntity
`name, parent, properties`

Constructor Summary
`Individual()`
`Individual(java.lang.String name, IBioEntity parent)`

Method Summary
`IBioAdapter` | `getBioAdapter()`
`IBioIndividual[]` | `getParents()`
`IBioIndividualTree` | `getPedigree()`
`IBioPopulation` | `getPopulation()`
`int` | `getType()` There are 2 main class of entities.
`void` | `setPedigree(IBioIndividualTree pedigree)`
`void` | `setPopulation(IBioPopulation population)`

Methods inherited from class org.metaqtl.bio.entity.BioEntityContainer
`addEntity, entities, entityNumber, getEntity, removeEntity`

Methods inherited from class org.metaqtl.bio.entity.BioEntity
`getName, getParent, getProperties, newBioEntity, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.metaqtl.bio.IBioEntity
`getName, getParent, getProperties, setName, setProperties`

Field Detail

### population

    protected IBioPopulation population

Constructor Detail

### Individual

    public Individual()

### Individual

    public Individual(java.lang.String name,
                      IBioEntity parent)

Parameters:
  `name` -
  `parent` -

Method Detail

### getType

    public int getType()

  Description copied from interface: `IBioEntity`
  There are 2 main class of entities. The first one deals with population biological entity, i.e population itself and individuals. The second class is a representation of microscopic biological entity from genome container to alleles.

  Specified by:
    `getType` in interface `IBioEntity`
  Specified by:
    `getType` in class `BioEntity`

### getPedigree

    public IBioIndividualTree getPedigree()

### setPedigree

    public void setPedigree(IBioIndividualTree pedigree)

### getPopulation

    public IBioPopulation getPopulation()

### setPopulation

    public void setPopulation(IBioPopulation population)

### getBioAdapter

    public IBioAdapter getBioAdapter()

### getParents

    public IBioIndividual[] getParents()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD